Skip to main content
PATCH
Update a custom field

Authorizations

Authorization
string
header
required

API key from Settings > Developer. Format: alva_sk_...

Path Parameters

id
string<uuid>
required

The custom field ID

Body

application/json

All fields optional. entityType, key and fieldType cannot be changed.

label
string
options
string[]
required
boolean
defaultValue
unknown
helpText
string | null
sortOrder
integer
isArchived
boolean

Response

CustomField

success
boolean
Example:

true

message
string

Human-readable confirmation of the action.

data
object
resource
string